LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Gentoo
User Name
Password
Gentoo This forum is for the discussion of Gentoo Linux.

Notices



Reply
 
Search this Thread
Old 10-21-2012, 12:44 PM   #1
rrrssssss
Member
 
Registered: Mar 2005
Posts: 266

Rep: Reputation: 32
Emerge - blocked packages problem while performing world upgrade


Hello Gentoo forum,

How I dread performing upgrades on Gentoo. After running "emerge --sync", I usually always have problems, especially when performing a world upgrade, with blocked packages.

It hasn't been but a month since I performed the last world upgrade so it is hard to believe I would be having problems so soon.

I just ran "emerge --sync" then ran "emerge -vpuD world" but this is what I got:

Code:
14-da-e9-ca-30-72 roy # emerge -vpuD world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] sys-kernel/linux-headers-3.4 [3.1] 5,000 kB
[ebuild     U  ] sys-libs/glibc-2.15-r3 [2.15-r2] USE="-debug -gd (-hardened) (-multilib) -profile (-selinux) -vanilla" 117 kB
[ebuild     U  ] dev-libs/expat-2.1.0-r2 [2.1.0] USE="unicode -examples -static-libs" 550 kB
[ebuild     U  ] sys-devel/gnuconfig-20120818 [20120116] 51 kB
[ebuild     U  ] sys-libs/timezone-data-2012f [2012c] USE="nls" 334 kB
[ebuild  NS    ] dev-util/boost-build-1.49.0 [1.48.0-r1] USE="-examples -python" 47,364 kB
[ebuild     U  ] sci-mathematics/gmm-4.2 [4.1] 479 kB
[ebuild     U  ] virtual/libffi-3.0.11 [0] 0 kB
[ebuild     U  ] app-arch/unzip-6.0-r3 [6.0-r1] USE="bzip2 unicode -natspec%" 0 kB
[ebuild     U  ] app-arch/zip-3.0-r1 [3.0] USE="bzip2 crypt unicode -natspec%" 0 kB
[ebuild     U  ] sys-apps/man-pages-3.42 [3.41] USE="nls" LINGUAS="-da -de -fr -it -ja -nl -pl -ro -ru -zh_CN" 1,708 kB
[ebuild  N     ] dev-libs/gobject-introspection-common-1.32.1  1,095 kB
[ebuild  N     ] sys-apps/hwids-20120922  365 kB
[ebuild     U  ] dev-libs/libtasn1-2.13 [2.12] USE="-doc -static-libs" 1,919 kB
[ebuild     U  ] sys-libs/zlib-1.2.7 [1.2.5.1-r2] USE="minizip -static-libs" 548 kB
[ebuild     U  ] dev-libs/nettle-2.5 [2.4] USE="gmp" 1,088 kB
[ebuild  N     ] media-libs/vo-aacenc-0.1.2  USE="-examples (-neon) -static-libs" 586 kB
[ebuild     U  ] media-libs/libpng-1.5.13-r1 [1.5.10] USE="apng (-neon) -static-libs" 699 kB
[ebuild     U  ] sys-apps/pciutils-3.1.10 [3.1.9-r1] USE="zlib -static-libs (-compress-db%) (-network-cron%)" 338 kB
[blocks b      ] <sys-apps/pciutils-3.1.9-r2 ("<sys-apps/pciutils-3.1.9-r2" is blocking sys-apps/hwids-20120922)                                                
[ebuild     U  ] dev-perl/Net-SSLeay-1.480.0-r1 [1.360.0] 375 kB
[ebuild     U  ] dev-libs/libevent-2.0.20 [2.0.19] USE="ssl -static-libs -test" 826 kB
[ebuild     U  ] dev-libs/libxslt-1.1.27 [1.1.26-r4] USE="crypt -debug -python -static-libs" 3,347 kB
[ebuild     U  ] app-text/iso-codes-3.37 [3.30] 9,954 kB
[ebuild  N     ] dev-libs/elfutils-0.149  USE="bzip2 nls zlib -lzma" 1,780 kB
[ebuild     U  ] dev-libs/glib-2.32.4-r1 [2.30.3] USE="-debug (-fam) (-selinux) -static-libs* -systemtap -test -utils -xattr (-doc%)" 6,043 kB
[ebuild     U  ] media-libs/raptor-2.0.8 [2.0.7] USE="curl unicode -debug -json -static-libs" 1,697 kB
[ebuild     U  ] net-libs/gnutls-2.12.20 [2.12.18] USE="cxx nettle nls zlib -bindist -doc -examples -guile -lzo -pkcs11 -static-libs -test" 7,062 kB
[ebuild     U  ] sys-apps/usbutils-006 [004] USE="zlib -python (-network-cron%)" 399 kB
[blocks b      ] <sys-apps/usbutils-005-r1 ("<sys-apps/usbutils-005-r1" is blocking sys-apps/hwids-20120922)                                                    
[ebuild     U  ] dev-util/cmake-2.8.9 [2.8.8-r3] USE="ncurses qt4 -emacs -test -vim-syntax" 5,527 kB
[ebuild     U  ] media-libs/libgphoto2-2.4.14 [2.4.12] USE="exif jpeg nls -doc -examples -gd -zeroconf" CAMERAS="ptp2 -adc65 -agfa_cl20 -aox -ax203 -barbie -canon -casio_qv -clicksmart310 -digigr8 -digita -dimagev -dimera3500 -directory -enigma13 -fuji -gsmart300 -hp215 -iclick -jamcam -jd11 -jl2005a -jl2005c -kodak_dc120 -kodak_dc210 -kodak_dc240 -kodak_dc3200 -kodak_ez200 -konica -konica_qm150 -largan -lg_gsm -mars -mustek -panasonic_coolshot -panasonic_dc1000 -panasonic_dc1580 -panasonic_l859 -pccam300 -pccam600 -polaroid_pdc320 -polaroid_pdc640 -polaroid_pdc700 -ricoh -ricoh_g3 -samsung -sierra -sipix_blink -sipix_blink2 -sipix_web2 -smal -sonix -sony_dscf1 -sony_dscf55 -soundvision -spca50x -sq905 -st2205 -stv0674 -stv0680 -sx330z -template -topfield -toshiba_pdrm11 -tp6801" 4,377 kB
[ebuild     U  ] sys-fs/fuse-2.9.1-r1 [2.8.6] USE="-static-libs" 547 kB
[ebuild     U  ] app-editors/nano-2.3.1-r2 [2.3.1-r1] USE="magic%* ncurses nls spell* unicode -debug -justify -minimal -slang" 1,587 kB
[ebuild     U  ] dev-libs/libdbusmenu-qt-0.9.2 [0.8.2] USE="-debug -doc -test" 238 kB
[ebuild     U  ] sys-apps/coreutils-8.16 [8.14] USE="acl nls unicode -caps -gmp (-selinux) -static -vanilla -xattr" 4,930 kB
[uninstall     ] app-misc/realpath-1.16  USE="nls" 
[blocks b      ] app-misc/realpath ("app-misc/realpath" is blocking sys-apps/coreutils-8.16)                                                                    
[ebuild  NS    ] dev-libs/boost-1.49.0-r1 [1.48.0-r2] USE="eselect -debug -doc -icu -mpi -python -static-libs -test -tools" 0 kB
[ebuild     U  ] dev-libs/gobject-introspection-1.32.1 [1.30.0-r2] USE="-doc -doctool% -test" 0 kB
[blocks b      ] <dev-libs/gobject-introspection-1.32.0 ("<dev-libs/gobject-introspection-1.32.0" is blocking dev-libs/gobject-introspection-common-1.32.1)     
[ebuild     U  ] dev-libs/atk-2.4.0 [2.2.0] USE="introspection nls -doc" 593 kB
[ebuild     U  ] x11-libs/gdk-pixbuf-2.26.4 [2.24.1-r1] USE="X introspection jpeg tiff -debug -doc -jpeg2k -test" 1,154 kB
[ebuild     U  ] x11-libs/pango-1.30.1 [1.29.4] USE="X introspection -debug (-doc%) (-test%)" 1,136 kB
[ebuild     U  ] gnome-base/gsettings-desktop-schemas-3.4.2 [3.2.0-r1] USE="introspection%*" 194 kB
[ebuild     U  ] dev-python/pygobject-3.2.2 [3.0.4] USE="cairo threads -examples -test" 552 kB
[ebuild     U  ] dev-python/pygobject-2.28.6-r52 [2.28.6-r51] USE="introspection -doc -examples -libffi -test" 0 kB
[ebuild     U  ] sys-apps/dbus-1.6.8 [1.6.2] USE="X -debug -doc (-selinux) -static-libs -test (-systemd%)" 1,885 kB
[ebuild  N     ] media-sound/mpg123-1.14.2  USE="alsa ipv6 sdl -3dnow -3dnowext (-altivec) (-coreaudio) -jack -mmx -nas -oss -portaudio -pulseaudio -sse" 775 kB
[ebuild  N     ] media-video/ffmpeg-0.10.3  USE="X aac alsa bzip2 encode hardcoded-tables mp3 sdl truetype vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -amr -avx -bindist -cdio (-celt) -cpudetection -debug -dirac -doc -faac -frei0r -gnutls -gsm -ieee1394 -jack -jpeg2k -libass -libv4l -mmx -mmxext -modplug (-neon) -network -openal -openssl -oss -pic -pulseaudio -rtmp -schroedinger -speex -ssse3 -static-libs -test -theora -threads -v4l -vaapi -vdpau (-vis) -vpx" FFTOOLS="aviocat cws2fws ffeval graph2dot ismindex pktdumper qt-faststart trasher" 5,719 kB
[ebuild     U  ] x11-libs/gtk+-2.24.12 [2.24.10-r1] USE="cups introspection xinerama (-aqua) -debug -examples -test -vim-syntax (-doc%)" 12,945 kB
[ebuild     U  ] x11-libs/gtk+-3.4.4 [3.2.4-r1] USE="X%* cups introspection xinerama (-aqua) -colord -debug -examples (-packagekit) -test -vim-syntax (-wayland) (-doc%)" 12,554 kB
[ebuild     U  ] gnome-base/librsvg-2.36.1 [2.34.2] USE="gtk introspection -doc -tools (-gtk3%)" 495 kB
[ebuild     U  ] net-libs/libproxy-0.4.10 [0.4.7] USE="kde -gnome -mono -networkmanager -perl -python -spidermonkey% -test -webkit%" 370 kB
[ebuild     U  ] kde-misc/polkit-kde-kcmodules-0.98_pre20120917 [0.98_pre20101127] USE="(-aqua) -debug" 31 kB
[ebuild     U  ] net-libs/glib-networking-2.32.3 [2.30.2] USE="gnome libproxy ssl -smartcard% -test%" 325 kB
[ebuild     U  ] net-libs/libsoup-2.38.1 [2.36.1-r1] USE="introspection ssl -debug -samba -test (-doc%)" 607 kB
[ebuild     U  ] sys-fs/udev-171-r8 [171-r6] USE="extras gudev hwdb keymap rule_generator -action_modeswitch -build -debug -edd -floppy -introspection (-selinux) -test" 16 kB
[ebuild     U  ] app-text/docbook-xsl-stylesheets-1.77.1-r1 [1.76.1] USE="-ruby%" 4,219 kB
[ebuild     U  ] app-admin/system-config-printer-common-1.3.11-r1 [1.3.9-r2] USE="(policykit) -doc" 926 kB
[ebuild     U  ] media-video/mplayer-1.1-r1 [1.0_rc4_p20110322-r1] USE="X a52 alsa bluray cdio dts dv dvd dvdnav enca encode faad gif iconv ipv6 jpeg libass live mad mmx mng mp3 network opengl osdmenu png quicktime rar real rtc sdl shm speex theora toolame tremor truetype twolame unicode vorbis win32codecs x264 xinerama xscreensaver xv xvid -3dnow -3dnowext -aalib (-altivec) (-aqua) -bidi -bindist -bl -bs2b -cddb -cdparanoia -cpudetection -debug -dga -directfb -doc -dvb -dxr3 -faac* -fbcon -ftp -ggi -gsm -jack -joystick -jpeg2k -ladspa -libcaca -libmpeg2 -lirc -lzo -md5sum -mmxext -nas -nut -openal -oss -pnm -pulseaudio -pvr -radio -rtmp -samba -sse -sse2 -ssse3 -tga -v4l -vdpau -vidix -xanim -xvmc -zoran (-amr%) (-custom-cpuopts%) (-dirac%*) (-mpg123%) (-schroedinger%*) (-vpx%)" VIDEO_CARDS="-mga -s3virge -tdfx (-vesa%)" 10,946 kB
[ebuild     U ~] net-print/hplip-3.12.10a [3.12.9] USE="X hpcups kde libnotify (policykit) qt4 scanner snmp static-ppds -doc -fax -hpijs -libusb0% -minimal -parport" 21,327 kB
[blocks B      ] <sys-fs/udev-171-r99[extras] ("<sys-fs/udev-171-r99[extras]" is blocking sys-auth/consolekit-0.4.5_p20120320)

Total: 57 packages (49 upgrades, 6 new, 2 in new slots, 1 uninstall), Size of downloads: 187,674 kB
Conflict: 5 blocks (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-auth/consolekit-0.4.5_p20120320::gentoo, installed) pulled in by
    >=sys-auth/consolekit-0.3[pam] required by (sys-auth/pambase-20101024-r2::gentoo, installed)
    sys-auth/consolekit required by (kde-base/kdm-4.8.5::gentoo, installed)
    sys-auth/consolekit required by (net-wireless/bluez-4.99::gentoo, installed)
    >=sys-auth/consolekit-0.4.5[policykit] required by (sys-auth/polkit-0.104-r1::gentoo, installed)

  (sys-fs/udev-171-r8::gentoo, ebuild scheduled for merge) pulled in by
    sys-fs/udev required by @selected
    sys-fs/udev required by (app-misc/media-player-info-17::gentoo, installed)
    sys-fs/udev required by (sys-apps/util-linux-2.21.2::gentoo, installed)
    >=sys-fs/udev-171-r5[gudev,hwdb] required by (sys-fs/udisks-1.0.4-r2::gentoo, installed)
    >=sys-fs/udev-169 required by (net-wireless/bluez-4.99::gentoo, installed)
    >=sys-fs/udev-171-r5[gudev] required by (sys-power/upower-0.9.16::gentoo, installed)
    >=sys-fs/udev-143 required by (dev-libs/libatasmart-0.19::gentoo, installed)
    >=sys-fs/udev-151-r4 required by (sys-fs/lvm2-2.02.88::gentoo, installed)
    sys-fs/udev required by (kde-base/kdelibs-4.8.5::gentoo, installed)
    >=sys-fs/udev-150 required by (x11-base/xorg-server-1.12.2::gentoo, installed)
    >=sys-fs/udev-114 required by (net-print/hplip-3.12.10a::gentoo, ebuild scheduled for merge)
    sys-fs/udev required by (virtual/dev-manager-0::gentoo, installed)
    <sys-fs/udev-185 required by (net-wireless/bluez-4.99::gentoo, installed)
    >=sys-fs/udev-164-r2 required by (app-admin/system-config-printer-common-1.3.11-r1::gentoo, ebuild scheduled for merge)
    >=sys-fs/udev-146-r1 required by (sys-auth/consolekit-0.4.5_p20120320::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.
It seems to say that sys-fs/udev-171-r99 is blocking consolekit but the udev that is already installed is 171.r6 and the upgraded version that it is trying to install is 171.r8. I do not understand where 171.r99 comes into play. There is not even an ebuild for 171.r99

Will somebody **please** tell me how to fix the problem? I have already tried unmerging udev and consolekit but it did not seem to help.

Help will be most appreciated.
Roy

Last edited by rrrssssss; 10-21-2012 at 05:21 PM.
 
Old 10-21-2012, 04:22 PM   #2
cheeve
LQ Newbie
 
Registered: Oct 2012
Posts: 2

Rep: Reputation: Disabled
I am having the exact same problem :'(
 
Old 10-21-2012, 05:02 PM   #3
cheeve
LQ Newbie
 
Registered: Oct 2012
Posts: 2

Rep: Reputation: Disabled
Removing extras from USE fixed it. Try USE="-extras" emerge -uvDNa world.

Last edited by cheeve; 10-21-2012 at 05:11 PM.
 
Old 10-21-2012, 05:14 PM   #4
rrrssssss
Member
 
Registered: Mar 2005
Posts: 266

Original Poster
Rep: Reputation: 32
Thanks cheeve, you're pretty smart. I tried it and it works. Thanks again.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
emerge uavd world blocked package puntjuh Linux - Distributions 2 09-10-2007 06:18 PM
Gentoo --update world packages blocked ToothlessRebel Linux - Distributions 6 03-17-2007 06:07 PM
emerge -u world problem matrixon Linux - Software 4 03-06-2006 09:24 PM
HELP: Problem in rebooting after running 'emerge -u world' satimis Linux - General 10 02-20-2004 11:08 AM
emerge errors during emerge -u world busbarn Linux - Distributions 6 04-23-2003 10:37 AM


All times are GMT -5. The time now is 12:28 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration